Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.dom
[Java] Class DOMUtil

    java.lang.Object
      groovy.xml.dom.DOMUtil

    public class DOMUtil
    extends Object

Method Summary
`static String` | `serialize(org.w3c.dom.Element element)` Return a pretty version of the Element.
`static void` | `serialize(org.w3c.dom.Element element, OutputStream os)` Write a pretty version of the Element to the OutputStream.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### serialize

    public static String serialize(org.w3c.dom.Element element)

  Return a pretty version of the Element.
  deprecated:
    use XmlUtil version instead
  Parameters:
    `element` - the element to serialize
  Returns:
    the pretty String representation of the element

### serialize

    public static void serialize(org.w3c.dom.Element element, OutputStream os)

  Write a pretty version of the Element to the OutputStream.
  deprecated:
    use XmlUtil version instead
  Parameters:
    `element` - the element to serialize
    `os` - the outputstream to write to

Copyright © 2003-2010 The Codehaus. All rights reserved.